Skip to content

Delete a radio channel

Safety module

DELETE/radio-channels/{id}radioChannels.delete

A radio channel in the org radio plan, listed in numeric order. Soft-deletes the radio channel: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability safety.radio_channel.write.
  • OAuth scopes: safety.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

radioChannels.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the radio channel.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/radio-channels/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.radioChannels.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.radio_channels.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos radio-channels delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f